Page MenuHomePhabricator

Integrate browser tests with CI
Closed, ResolvedPublic

Description

We created the first browser tests in client/data-bridge/tests/selenium (starting https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Wikibase/+/523863)
They do not run as part of regular CI however.

This might be easier / possible in a more elegant fashion following T199116: Quibble should run `npm install` and `npm run selenium-test` for each extension/skin that has Selenium tests

Notes

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 19 2019, 3:08 PM
Pablo-WMDE updated the task description. (Show Details)Jul 19 2019, 3:31 PM

Change 528129 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/Wikibase@master] Run data-bridge browser tests in CI

https://gerrit.wikimedia.org/r/528129

Change 528195 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/Wikibase@master] Run data-bridge browsers tests in CI

https://gerrit.wikimedia.org/r/528195

Michael claimed this task.Aug 6 2019, 3:21 PM
Michael moved this task from To do to Peer Review on the Wikidata-Bridge-Sprint-3 board.

Change 528195 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Run data-bridge browser tests in CI

https://gerrit.wikimedia.org/r/528195

Pablo-WMDE closed this task as Resolved.Aug 9 2019, 2:03 PM
Pablo-WMDE moved this task from Peer Review to Done on the Wikidata-Bridge-Sprint-3 board.

Change 528129 abandoned by Michael Große:
Run data-bridge browser tests in CI

Reason:
We decided to use the alternative wdio-5 approach

https://gerrit.wikimedia.org/r/528129